Search found 24 matches

by The00Dustin
Thu Apr 13, 2006 12:32 pm
Forum: Scripts and Templates
Topic: EDIT: Advanced Ping Template Version 1.3 for Cacti 0.8.6g
Replies: 526
Views: 693286

Hey all, here's my output: [12:31:45] admin - /usr/local/cacti> sudo php script_server.php Password: PHP Script Server has Started - Parent is cmd /usr/bin/php /usr/local/cacti/scripts/ss_fping.php ss_fping (server) 20 ICMP PHP Warning: Unexpected character in input: '' (ASCII=15) state=1 in /usr/bi...
by The00Dustin
Fri Mar 17, 2006 5:05 pm
Forum: Help: General
Topic: Server Down Alerts?
Replies: 1
Views: 852

Server Down Alerts?

I know there is a threshold warning plugin for Cacti, but all I want to do is make Cacti send me e-mail alerts when/if one specific server goes down. The threshold plug-in may do something similar, but I read that it did it for all servers. I originally thought there was a way to do it within Cacti ...
by The00Dustin
Fri Mar 17, 2006 4:28 pm
Forum: Help: Linux/Unix Specific
Topic: Graph Template: Unix - Available Disk Space
Replies: 0
Views: 971

Graph Template: Unix - Available Disk Space

The template named in the subject does not seem to return accurate data for my Linux Machines. When I set up this Cacti server it had ~20G used on the disk. Now it has ~46G used. All of the graphs for all of my servers show very similar data. I assumed it was accurate at first, but then I noticed it...
by The00Dustin
Fri Mar 17, 2006 1:34 pm
Forum: Scripts and Templates
Topic: EDIT: Advanced Ping Template Version 1.3 for Cacti 0.8.6g
Replies: 526
Views: 693286

Beginning Troubleshooting Pointer?

I have the latest version of everything for Advanced Ping Template 1.3 downloaded and I get nan for everything. I use Cactid and cronjob is run by root. I read some things I thought would fix it, but then I didn't have time (this was some time ago) and now I can't remember what they were or find the...
by The00Dustin
Fri Feb 17, 2006 4:27 am
Forum: Help: Linux/Unix Specific
Topic: cactid doesn't seem to work
Replies: 11
Views: 3903

That did the trick. I guess I thought it was working before because cactid.conf was in my working directory (I was still in the source folder). Thanks!
by The00Dustin
Thu Feb 16, 2006 3:48 pm
Forum: Help: General
Topic: Can't find path for query_unix_partitions.pl for new Cactid
Replies: 4
Views: 1491

Thanks! Took care of that. Either I forgot to search or the /'s in the search threw it off.
by The00Dustin
Thu Feb 16, 2006 3:41 pm
Forum: Help: Linux/Unix Specific
Topic: cactid doesn't seem to work
Replies: 11
Views: 3903

I have been unable to find a cactid.conf to edit. I edited the one in the tarball before I compiled, and I found one in /var/net-snmp that says not to edit it. Aside from those two, there are no others. Do I need to manually copy the one from the tarball extraction location to another location? Than...
by The00Dustin
Thu Feb 16, 2006 1:55 pm
Forum: Help: Linux/Unix Specific
Topic: cactid doesn't seem to work
Replies: 11
Views: 3903

Well, I ran cactid successfully after I recompiled, I got several errors, but I assumed that was because poller.php had to call it. When the next cronjob came around some of my graphs updated once, but then it stopped working again. When I run it I get the original error again, sudo /usr/local/cacti...
by The00Dustin
Thu Feb 16, 2006 1:13 pm
Forum: Help: General
Topic: Can't find path for query_unix_partitions.pl for new Cactid
Replies: 4
Views: 1491

I cannot find the setting for that path, I have already corrected all of my other paths.
by The00Dustin
Thu Feb 16, 2006 12:46 pm
Forum: Help: General
Topic: Can't find path for query_unix_partitions.pl for new Cactid
Replies: 4
Views: 1491

Can't find path for query_unix_partitions.pl for new Cactid

I changed all of the paths at the Data Input Methods section of the console. I also looked for this path in the Data Queries section and was unable to find it. I cleared the poller cache, but the new poller cache still has this invalid path: Action: 1, Script: perl /usr/local/cacti/scripts/query_uni...
by The00Dustin
Thu Feb 16, 2006 11:27 am
Forum: Help: Linux/Unix Specific
Topic: cactid doesn't seem to work
Replies: 11
Views: 3903

Finally!

Sure enough, cactid never worked because I didn't change the cactid.conf before I compiled. It is running now. Thanks!
by The00Dustin
Wed Feb 15, 2006 7:41 pm
Forum: Help: Linux/Unix Specific
Topic: Apache 2.0.5 Crashing "Segmentation fault"
Replies: 7
Views: 2432

Actually, the dag archive works through yum and I was able to install Cacti that way, it just wasn't there yet last time I installed cacti on a server. I still had the same issues that I had originally, but yum installed php right this time around (no idea why it didn't the first time) and after man...
by The00Dustin
Tue Feb 14, 2006 6:42 pm
Forum: Help: Linux/Unix Specific
Topic: Apache 2.0.5 Crashing "Segmentation fault"
Replies: 7
Views: 2432

Another interesting tidbit... Look what happens here (at a command line)... [17:37:46] [email protected] ~> sudo php /usr/local/cacti/poller.php X-Powered-By: PHP/5.1.2 Content-type: text/html <br><strong>This script is only meant to run at the command line.</strong>[17:37:57] [email protected] - ~> I s...
by The00Dustin
Tue Feb 14, 2006 11:47 am
Forum: Help: Linux/Unix Specific
Topic: Apache 2.0.5 Crashing "Segmentation fault"
Replies: 7
Views: 2432

rpm install did not resolve issue

I have determined that the problem lies with php and not rrdtool or apache. I removed php4 via rpm and installed php5 manually using this config command: ./configure --with-config-file-path=/etc --with-config-file-scan-dir=/etc/php.d --prefix=/usr --enable-force-cgi-redirect --disable-debug --enable...
by The00Dustin
Tue Feb 14, 2006 10:53 am
Forum: Help: Linux/Unix Specific
Topic: Apache 2.0.5 Crashing "Segmentation fault"
Replies: 7
Views: 2432

I didn't want to do that because the dag repository contains version 1.0 and I have 1.2 installed. Now that I think about it, though, 1.2 is installed in a custom location not included in the path variables, and rpm won't know it is there, so perhaps the two won't conflict (as the 1.2 version must b...